CompilationUnitTree (Java SE 11 & JDK 11 )
Keywords: jdk.nashorn.api.tree.CompilationUnitTree interface

Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface CompilationUnitTree

- All Superinterfaces:
    `Tree`

      @Deprecated(since="11",
                  forRemoval=true)
      public interface CompilationUnitTree
      extends Tree

  Deprecated, for removal: This API element is subject to removal in a future version.
  Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
  Represents the abstract syntax tree for compilation units (source files)
  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LineMap` | `getLineMap()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the line map for this compilation unit, if available.
    `ModuleTree` | `getModule()` | Deprecated, for removal: This API element is subject to removal in a future version. Return the `ModuleTree` associated with this compilation unit.
    `List<? extends Tree>` | `getSourceElements()` | Deprecated, for removal: This API element is subject to removal in a future version. Return the list of source elements in this compilation unit.
    `String` | `getSourceName()` | Deprecated, for removal: This API element is subject to removal in a future version. Return the source name of this script compilation unit.
    `boolean` | `isStrict()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns if this is a ECMAScript "strict" compilation unit or not.

    - ### Methods declared in interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getSourceElements

          List<? extends Tree> getSourceElements()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return the list of source elements in this compilation unit.
      Returns:
        the list of source elements in this compilation unit

    - #### getSourceName

          String getSourceName()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return the source name of this script compilation unit.
      Returns:
        the source name of this script compilation unit

    - #### isStrict

          boolean isStrict()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns if this is a ECMAScript "strict" compilation unit or not.
      Returns:
        true if this compilation unit is declared "strict"

    - #### getLineMap

          LineMap getLineMap()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the line map for this compilation unit, if available. Returns null if the line map is not available.
      Returns:
        the line map for this compilation unit

    - #### getModule

          ModuleTree getModule()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return the `ModuleTree` associated with this compilation unit. This is null, if there is no module information from this compilation unit.
      Returns:
        the Module info or null